%{?nodejs_find_provides_and_requires}

%global packagename sshpk
%global enable_tests 0
# Tests disabled because mock doesn't like it when the test fires
# off child processes

Name:		nodejs-sshpk
Version:	1.5.1
Release:	2%{?dist}
Summary:	A library for finding and using SSH public keys

License:	MIT
URL:		https://github.com/arekinath/node-sshpk.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(asn1)
BuildRequires:	npm(assert-plus)
BuildRequires:	npm(jodid25519)
BuildRequires:	npm(jsbn)
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
A library for finding and using SSH public keys


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# These two packages are listed as optional dependencies,
# so they don't get linked automatically. Let's link them
# manually so that they can be used.
%nodejs_fixdep jsbn
%nodejs_fixdep jodid25519

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-2
- Fix build dependencies

* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Initial packaging
